/*
  Copyright (C) 2010-2011  Charles Pence <charles@charlespence.net>
  Copyright (C) 1996-1997  Id Software, Inc.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "quakedef.h"

qboolean QGL_ARB_texture_non_power_of_two = false;
qboolean QGL_SGIS_generate_mipmap = false;

void R_InitExtensions(void)
{
    if (glewInit() != GLEW_OK)
        Sys_Error("Cannot initialize GLEW extensions library!");
    if (!GLEW_VERSION_1_5)
        Sys_Error("Requires OpenGL 1.5 to play -- unavailable!");

    QGL_ARB_texture_non_power_of_two = (GLEW_VERSION_2_0 || GLEW_ARB_texture_non_power_of_two);
    QGL_SGIS_generate_mipmap = true;
}

