/*
  Copyright (C) 2010-2011  Charles Pence <charles@charlespence.net>
  Copyright (C) 1996-1997  Id Software, Inc.

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef SND_INTERNAL_H__
#define SND_INTERNAL_H__

#define    MAX_CHANNELS            128
#define    MAX_DYNAMIC_CHANNELS    8


struct sfx_t
{
    std::string name;
    cache_user_t cache;
};

typedef struct
{
    int     length;
    int     looppos;
    byte    data[1];        // variable sized
} sfxcache_t;

typedef struct
{
    sfx_t    *sfx;            // sfx number
    int        leftvol;        // 0-255 volume
    int        rightvol;        // 0-255 volume
    int     pos;            // sample position in sfx
    int        looping;        // where to loop, -1 = no looping
    int        entnum;            // to allow overriding a specific sound
    int        entchannel;        //
    vec3_t    origin;            // origin of sound effect
    vec_t    dist_mult;        // distance multiplier (attenuation/clipK)
    int        master_vol;        // 0-255 master volume
} channel_t;


extern    channel_t   channels[MAX_CHANNELS];
// 0 to MAX_DYNAMIC_CHANNELS-1    = normal entity sounds
// MAX_DYNAMIC_CHANNELS to MAX_DYNAMIC_CHANNELS + NUM_AMBIENTS -1 = water, etc
// MAX_DYNAMIC_CHANNELS + NUM_AMBIENTS to total_channels = static sounds

extern    int            total_channels;


sfxcache_t *S_LoadSound (sfx_t *s);


#endif /* SND_INTERNAL_H__ */
